## bzr-stats 0.1.0+bzr54

=== Makefile ===
DEBUGGER ?= 
BZR ?= $(shell which bzr)
PYTHON ?= $(shell which python)
SETUP ?= ./setup.py
CTAGS ?= ctags
PYLINT ?= pylint
TESTS ?= 
DESTDIR ?= 

all:: build 

build::
	$(SETUP) build

install::
ifneq ($(DESTDIR),)
	$(SETUP) install --root "$(DESTDIR)"
else
	$(SETUP) install
endif

clean::
	$(SETUP) clean

check::
	BZR_PLUGINS_AT=stats@$(shell pwd) $(DEBUGGER) $(PYTHON) $(BZR) $(BZR_OPTIONS) selftest $(TEST_OPTIONS) --starting-with=bzrlib.plugins.stats $(TESTS)

check-verbose::
	$(MAKE) check TEST_OPTIONS=-v

coverage::
	$(MAKE) check BZR_OPTIONS="--coverage coverage"

check-one::
	$(MAKE) check TEST_OPTIONS=--one

show-plugins::
	BZR_PLUGINS_AT=stats@$(shell pwd) $(BZR) plugins -v

lint::
	$(PYLINT) -f parseable *.py */*.py

tags::
	$(CTAGS) -R .

ctags:: tags



.PHONY: update-pot po/bzr-stats.pot
update-pot: po/bzr-stats.pot

TRANSLATABLE_PYFILES:=$(shell find . -name '*.py' \
		| grep -v 'tests/' \
		)

po/bzr-stats.pot: $(PYFILES) $(DOCFILES)
	BZR_PLUGINS_AT=stats@$(shell pwd) bzr export-pot \
          --plugin=stats > po/bzr-stats.pot
	echo $(TRANSLATABLE_PYFILES) | xargs \
	  xgettext --package-name "bzr-stats" \
	  --msgid-bugs-address "<bazaar@lists.canonical.com>" \
	  --copyright-holder "Bazaar Developers <bazaar@lists.canonical.com>" \
	  --from-code ISO-8859-1 --sort-by-file --join --add-comments=i18n: \
	  -d bzr-stats -p po -o bzr-stats.pot

## bzr-stats 0.0.1~bzr41

=== debian/changelog ===
bzr-stats (0.0.1~bzr41-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes registration of commands. Closes: #594357
  * Bump standards version to 3.9.1 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 25 Aug 2010 19:39:05 +0200

bzr-stats (0.0.1~bzr40-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.4.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 01 Jun 2010 22:45:11 +0200

bzr-stats (0.0.1~bzr37-1) unstable; urgency=low

  * Move to section vcs.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 19 Mar 2009 17:54:29 +0100

bzr-stats (0.0.1~bzr30-1) unstable; urgency=low

  * New upstream snapshot.
   + Fixes deprecation warning.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 19 Mar 2009 17:04:33 +0100

bzr-stats (0.0.1~bzr27-1) unstable; urgency=low

  * New upstream snapshot. 
   + Fixes missing import in classify.py. Closes: #499180
  * Allow uploads by Debian Maintainers.

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 01 Oct 2008 14:50:48 +0200

bzr-stats (0.0.1~bzr26-1) unstable; urgency=low

  * Initial release. (Closes: #491103)

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 16 Jul 2008 19:42:10 +0200

=== debian/control ===
Source: bzr-stats
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends-Indep: bzr (>= 1.13~), python-central (>= 0.5)
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python
Standards-Version: 3.9.1
XS-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-stats/unstable
Homepage: http://launchpad.net/bzr-stats
DM-Upload-Allowed: yes

Package: bzr-stats
Architecture: all
Depends: bzr (>= 1.13~), ${python:Depends}, ${misc:Depends}
Enhances: bzr
XB-Python-Version: ${python:Versions}
Description: statistics plugin for Bazaar
 This is a simple plugin for Bazaar that can list the contributors to a 
 branch and what they worked on.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	-rm -rf build test*.tmp 
	find . -name "*.pyc" -print0 | xargs -0 rm -f

=== debian/watch ===
# bzr-stats is managed in bzr, to download the latest version, run:
# bzr export lp:bzr-stats

## bzr-stats 0.0.1~bzr43

=== debian/changelog ===
bzr-stats (0.0.1~bzr43-1) unstable; urgency=low

  * New upstream snapshot.
  * Run testsuite as part of build.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 06 Nov 2010 21:50:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
-Build-Depends-Indep: bzr (>= 1.13~), python-central (>= 0.5)
+Build-Depends-Indep: bzr (>= 1.13~), python-central (>= 0.5), python-testtools
 Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2), python
 Standards-Version: 3.9.1
 XS-Python-Version: >= 2.4
@@ -17,5 +17,5 @@
 Enhances: bzr
 XB-Python-Version: ${python:Versions}
 Description: statistics plugin for Bazaar
- This is a simple plugin for Bazaar that can list the contributors to a 
+ This is a simple plugin for Bazaar that can list the contributors to a
  branch and what they worked on.

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,7 @@
 	-rm -rf build test*.tmp 
 	find . -name "*.pyc" -print0 | xargs -0 rm -f
 
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+common-post-build-indep::
+	BZR_PLUGINS_AT=stats@$(CURDIR) /usr/bin/bzr selftest -s bp.stats
+endif

## bzr-stats 0.1.0

=== debian/changelog ===
bzr-stats (0.1.0-4) unstable; urgency=low

  * Re-arrange | condition in build deps to make sbuild happy.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 06 May 2011 03:50:14 +0200

bzr-stats (0.1.0-3) unstable; urgency=low

  * Add build dependency on python-bzrlib.tests, for compatibility with
    newer versions of bzr.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 01 May 2011 04:17:09 +0200

bzr-stats (0.1.0-2) unstable; urgency=low

  * Switch to dh_python2. Closes: #616766
  * Switch to debhelper 7, drop cdbs.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Mar 2011 05:25:05 +0100

bzr-stats (0.1.0-1) unstable; urgency=low

  * Add watch file.
  * Support running test suite in parallel.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 26 Feb 2011 20:28:31 +0100

=== debian/control ===
Source: bzr-stats
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends-Indep: python-bzrlib.tests | bzr (<< 2.4.0~beta1-2),
                     bzr (>= 1.13~),
                     python-subunit,
                     python-testtools
Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3)
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-stats/unstable
Homepage: http://launchpad.net/bzr-stats
DM-Upload-Allowed: yes

Package: bzr-stats
Architecture: all
Depends: bzr (>= 1.13~), ${misc:Depends}, ${python:Depends}
Enhances: bzr
Description: statistics plugin for Bazaar
 This is a simple plugin for Bazaar that can list the contributors to a
 branch and what they worked on.
 .
 It adds two extra subcommands to Bazaar to list the committers by number of commits
 and by their type of contribution.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 --buildsystem=python_distutils $*

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	$(CONCURRENCY) BZR_PLUGINS_AT=stats@$(CURDIR) /usr/bin/bzr selftest -s bp.stats \
	    -v --parallel=fork
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/(b(eta)?[0-9]+)$/~\\1/" \
https://launchpad.net/bzr-stats/+download http://launchpad.net/bzr-stats/.*/bzr-stats-(.*)\.tar\.gz

## bzr-stats 0.1.0%2Bbzr51

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,12 @@
 	$(CONCURRENCY) BZR_PLUGINS_AT=stats@$(CURDIR) /usr/bin/bzr selftest -s bp.stats \
 	    -v --parallel=fork
 endif
+
+PACKAGE = bzr-stats
+SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
+BZR_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/bzr//' )
+TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.bz2
+.PHONY: get-orig-source
+get-orig-source:
+	bzr export $(TARBALL) -r $(BZR_REVISION) "lp:bzr-stats"
+	echo "  "$(TARBALL)" created; move it to the right destination to build the package"

=== debian/watch ===
version=3
opts="uversionmangle=s/(b(eta)?[0-9]+)$/~\\1/" \
https://launchpad.net/bzr-stats/+download https://launchpad.net/bzr-stats/.*/bzr-stats-(.*)\.tar\.gz

## bzr-stats 0.1.0%2Bbzr54

=== debian/changelog ===
bzr-stats (0.1.0+bzr54-2) unstable; urgency=medium

  * Add dependency on python-subunit in autopkgtest.
  * Re-add myself to uploaders.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Jan 2017 22:08:35 +0000

bzr-stats (0.1.0+bzr54-1) unstable; urgency=low

  [ Koichi Akabe ]
  * Team upload.
  * debian/control
   - add XS-Testsuite: autopkgtest (Closes: #692719).
   - remove DM-Upload-Allowed field
   - update Standard-Version to 3.9.4

  [ Jelmer Vernooĳ ]
  * New upstream snapshot.
  * Bump standards version to 3.9.8 (no changes).
  * Use debhelper 9.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2016 17:54:41 +0000

bzr-stats (0.1.0+bzr51-1) unstable; urgency=low

  * New maintainer (Closes: #668919)
  * New upstream snapshot
   + fix compatibility with bzr 2.6 (Closes: #686138)
  * debian/rules
   - add get-orig-source target
  * debian/control
   - remove half broken Build-Depends: bzr (<< 2.4.0~beta1-2)
   - update X-Python-Version to 2.6 or later to follow bzr package
  * debian/copyright
   - merge contents of same field
   - remove comment field

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Tue, 28 Aug 2012 15:57:29 +0900

bzr-stats (0.1.0+bzr48-2) unstable; urgency=low

  * Orphan package.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 28 May 2012 23:42:17 +0200

bzr-stats (0.1.0+bzr48-1) unstable; urgency=low

  * Add autopkgtest entries.
  * Use parseable copyright file format.
  * Bump standards version to 3.9.3.
  * Break long line in description.
  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 28 Feb 2012 14:23:15 +0100

## bzr-stats 0.1.0+bzr48

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                      python-subunit,
                      python-testtools
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-stats/unstable
 Homepage: http://launchpad.net/bzr-stats
@@ -22,5 +22,5 @@
  This is a simple plugin for Bazaar that can list the contributors to a
  branch and what they worked on.
  .
- It adds two extra subcommands to Bazaar to list the committers by number of commits
- and by their type of contribution.
+ It adds two extra subcommands to Bazaar to list the committers by number of
+ commits and by their type of contribution.

## bzr-stats 0.1.0+bzr51

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: vcs
 Priority: optional
 Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooij <jelmer@debian.org>
-Build-Depends-Indep: python-bzrlib.tests | bzr (<< 2.4.0~beta1-2),
-                     bzr (>= 1.13~),
-                     python-subunit,
-                     python-testtools
+Uploaders: Koichi Akabe <vbkaisetsu@gmail.com>
+Build-Depends-Indep: python-bzrlib.tests, bzr (>= 1.13~), python-subunit, python-testtools
 Build-Depends: debhelper (>= 7.0.50~), python (>= 2.6.6-3)
 Standards-Version: 3.9.3
-X-Python-Version: >= 2.4
-Vcs-Bzr: http://bzr.debian.org/pkg-bazaar/bzr-stats/unstable
+X-Python-Version: >= 2.6
 Homepage: http://launchpad.net/bzr-stats
+Vcs-Bzr: http://bzr.debian.org/bzr/pkg-bazaar/bzr-stats/unstable
+Vcs-Browser: http://anonscm.debian.org/loggerhead/pkg-bazaar/bzr-stats/unstable/files
 DM-Upload-Allowed: yes
 
 Package: bzr-stats

=== debian/tests/control ===
Tests: testsuite
Depends: bzr, python-bzrlib.tests
Features: no-build-needed

## bzr-stats 0.1.0+bzr54

=== debian/changelog ===
bzr-stats (0.1.0+bzr54-5) unstable; urgency=medium

  * Remove unnecessary XS-Testsuite field in debian/control.
  * Use secure copyright file specification URI.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Trim trailing whitespace.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Sep 2018 01:40:21 +0100

bzr-stats (0.1.0+bzr54-4) unstable; urgency=medium

  * Switch Vcs-bzr to launchpad.net for code hosting, as alioth's bzr
    hosting is no more.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 12 May 2018 15:53:08 +0000

bzr-stats (0.1.0+bzr54-3) unstable; urgency=low

  * Remove Koichi Akabe from uploaders. Closes: #864575

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 11 Jun 2017 13:40:15 +0000

=== debian/control ===
Source: bzr-stats
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends-Indep: python-bzrlib.tests, bzr (>= 1.13~), python-subunit, python-testtools
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3)
Standards-Version: 3.9.8
Homepage: http://launchpad.net/bzr-stats
Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr-stats/unstable
Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr-stats/unstable

Package: bzr-stats
Architecture: all
Depends: bzr (>= 1.13~), ${misc:Depends}, ${python:Depends}
Enhances: bzr
Description: statistics plugin for Bazaar
 This is a simple plugin for Bazaar that can list the contributors to a
 branch and what they worked on.
 .
 It adds two extra subcommands to Bazaar to list the committers by number of
 commits and by their type of contribution.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --with python2 --buildsystem=python_distutils $*
+	dh $* --with python2 --buildsystem=python_distutils
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 CONCURRENCY = BZR_CONCURRENCY=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

## bzr-stats 0.1.0+bzr54+brz

=== debian/changelog ===
bzr-stats (0.1.0+bzr54+brz) experimental; urgency=medium

  * Add transitional packages to upgrade to breezy, which bundles the 'stats'
    plugin.
  * Use secure URI in Homepage field.
  * Move transitional package bzr-stats to oldlibs/optional per policy
    4.0.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 Feb 2019 00:28:09 +0000

=== debian/control ===
Source: bzr-stats
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 3.9.8
Homepage: https://launchpad.net/bzr-stats
Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr-stats/experimental
Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr-stats/experimental

Package: bzr-stats
Architecture: all
Conflicts: bzr (<< 2.7.0+bzr6622+brz)
Depends: brz, ${misc:Depends}
Description: transitional dummy package
 This is a transitional package, replacing the Bazaar packaging
 with the Breezy packaging.
 .
 It can be safely removed after an upgrade.
Section: oldlibs

## bzr-stats 0.1.0+bzr54+brz1

=== debian/changelog ===
bzr-stats (0.1.0+bzr54+brz1) unstable; urgency=medium

  * Add transitional packages to upgrade to breezy, which bundles the 'stats'
    plugin.
  * Use secure URI in Homepage field.
  * Move transitional package bzr-stats to oldlibs/optional per policy
    4.0.1.
  * Bump standards version to 4.4.0.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 Feb 2019 00:28:09 +0000

=== debian/control ===
Source: bzr-stats
Section: vcs
Priority: optional
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.0
Homepage: https://launchpad.net/bzr-stats
Vcs-Bzr: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr-stats/unstable
Vcs-Browser: https://code.launchpad.net/~debian-bazaar/debian/sid/bzr-stats/unstable

Package: bzr-stats
Architecture: all
Conflicts: bzr (<< 2.7.0+bzr6622+brz)
Depends: brz, ${misc:Depends}
Description: transitional dummy package
 This is a transitional package, replacing the Bazaar packaging
 with the Breezy packaging (which bundles the stats plugin).
 .
 It can be safely removed after an upgrade.
Section: oldlibs

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:

override_dh_auto_install:

%:
	dh $*
